<!--
Snake game using HTML5 canvas and javascript

File-name : index.js
Description: snake game front-end work
Files: index.html and snake.js

Author: Karan Kanwal
Contact: karan.kanwal@mountblue.io
-->

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Snake-game</title>

    <style>
        canvas{
            border: 1px solid black;
        }

        #score{
            height: 50px;
            width: 100px;
            background-color: lightblue;
            margin-left: 40px;
        }
        .container{
            display: flex;
        }

        .levels{
            display: flex;
        }
        
        .levels div{
            width:70px;
            height:50px;
            margin-right: 10px;
        }

        .snake-color{
            display:flex;
            justify-content: space-between;
        }

        #red{background-color: red;}
        #black{background-color: black;}
        #yellow{background-color: yellow;}
        #blue{background-color: blue;}
        
        .colorS{
            width:50px;
            height: 30px;
        }

    </style>

</head>
<body>
    <div class="container"> 
    <canvas></canvas>
    <div id="score"></div>
    <span><button id="restart">Restart</button></span>

        <div>
            <h2>Please select the speed-level</h2>
            <div class="levels">
                <button  id="low" >Low</button>
                <button id="medium" >Medium</button>
                <button id="high" >High</button>
            </div>
        </div>

        <div>
            <h2>Choose the background color</h2>
            <div class="color">
                <p class="colorS" id="red"></p>
                <p  class="colorS" id="black"></p>
                <p  class="colorS" id="yellow"></p>
                <p  class="colorS" id="blue"></p>
            </div>
        </div>

         
        
    </div>
    <script src="snake.js"></script>
</body>
</html>